Bug 1249482 - Packstack (AIO) failure on F22 due to patch "Run neutron db sync also for each neutron module"‏
Packstack (AIO) failure on F22 due to patch "Run neutron db sync also for eac...
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
Kilo
x86_64 Linux
unspecified Severity high
: ---
: Kilo
Assigned To: Gaël Chamoulaud
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 03:13 EDT by Boris Derzhavets
Modified: 2016-05-19 11:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:41:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 209032 None None None Never

  None (edit)
Description Boris Derzhavets 2015-08-03 03:13:08 EDT
Description of problem:

Applying 192.168.1.78_neutron.pp
192.168.1.78_neutron.pp:                          [ ERROR ]       
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 192.168.1.78_neutron.pp
Notice: /Stage[main]/Neutron::Db::Sync/Exec[neutron-db-sync]/returns: oslo_config.cfg.ConfigFilesNotFoundError: Failed to find some config files: /etc/neutron/plugin.ini
You will find full trace in log /var/tmp/packstack/20150802-152714-YfHYnQ/manifests/192.168.1.78_neutron.pp.log
Please check log file /var/tmp/packstack/20150802-152714-YfHYnQ/openstack-setup.log for more information


Version-Release number of selected component (if applicable):

openstack-puppet-modules-2015.1.9-3.fc23

How reproducible:


Steps to Reproduce:
1.Follow https://www.rdoproject.org/Quickstart
2.packstack  --gen-answer-file answer-file-aio.txt
and set
CONFIG_KEYSTONE_SERVICE_NAME=httpd
3.packstack --answer-file=./answer-file-aio.txt

Actual results:

Applying 192.168.1.78_neutron.pp
192.168.1.78_neutron.pp:                          [ ERROR ]       
Applying Puppet manifests                         [ ERROR ]

Expected results:

Applying 192.168.1.78_neutron.pp
192.168.1.78_neutron.pp:                          [ DONE ]       
Applying Puppet manifests                         [ DONE ]

Additional info:
Comment 1 Boris Derzhavets 2015-08-03 04:08:21 EDT
openstack-puppet-modules-2015.1.9-4.fc23 has the same bug.
Comment 2 Boris Derzhavets 2015-08-03 17:16:58 EDT
Workaround 
At the point of failure :-
File /etc/neutron/plugings/ml2/ml2_conf.ini has owner root and group neutron

Run:-
# chown neutron:neutron /etc/neutron/plugings/ml2/ml2_conf.ini

Restart 
# packstack --answer-file=./answer-file-aio.txt

This time :-
Applying 192.168.1.78_neutron.pp
192.168.1.78_neutron.pp:                          [ DONE ]       
Applying Puppet manifests                         [ DONE ]
Comment 3 Gaël Chamoulaud 2015-08-04 13:40:51 EDT
Should be fixed with https://review.openstack.org/#/c/209032/
Comment 4 Boris Derzhavets 2015-08-05 05:00:39 EDT
Thank you so much. It works for me as pre-packstack patch for neutron_api.pp
Comment 5 Mike McCune 2016-03-28 18:38:41 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 7 Chandan Kumar 2016-05-19 11:41:08 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.